<?php

function tpbfi_get_include_contents($filename) {
    if ( is_file($filename) ) {
        ob_start();
        include $filename;
        $contents = ob_get_contents();
        ob_end_clean();
        return $contents;
    }
    return 'error';
}

function tpbfi_explode_class_id_list($list=false) {
	if ( $list ) {
		$new_list = array(
			'classes' => array(),
			'ids' => array()
		);
		$items = explode(',',$list);
		foreach ( $items as $i ) {
			$first = substr($i, 0, 1);
			if ( $first == '#' ) {
				$id = substr($i, 1);
				array_push($new_list['ids'], $id);
			}
			elseif ( $first == '.' ) {
				$class = substr($i, 1);
				array_push($new_list['classes'], $class);
			}
			else {
				return 'error';
			}
		}
		return $new_list;
	}
	else
		return $list;
}

function tpbfi_button($src,$url,$description) {
	$tpbfi_options = get_option('tpbfi_options');

	switch ( $tpbfi_options['javascript'] ) {
		case 'onclick' :
			$button = "<span class=\"tpbfi-button\" onclick=\"pin_this(event, 'http://pinterest.com/pin/create/button/?url=$url&media=$src&description=$description')\">Pin</span>";
			break;

		case 'anchor' :
			$button = "<a class=\"tpbfi-button\" href=\"http://pinterest.com/pin/create/button/?url=$url&media=$src\" target=\"_blank\" rel=\"external\">Pin</a>";
			break;

		case 'disabled' :
			$button = "<span class=\"tpbfi-button\">Pin</span>";
			break;

	}

	return $button;
}

?>
